#include <bits/stdc++.h>
using namespace std;

long long a[100000];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	long long n, k;
	cin >> n >> k;
	for(int i = 0; i < k; i++) {
		cin >> a[i];
	}
	for(int i = 0; i < k; i++) {
		long long res = 0;
		for(int j = 0; j < k; j++) {
			if(a[i] % a[j] == 0) {
				res = res xor a[j];
			}
		}
		cout << res << ((i == k-1) ? '\n' : ' ');
	}

	return 0;
}